Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
psych_yaml_tree.c File Reference
`#include <psych.h>`
Include dependency graph for psych_yaml_tree.c:

Go to the source code of this file.

## Functions
static VALUE | private_iv_get (VALUE self, VALUE target, VALUE prop)
void | Init_psych_yaml_tree (void)

## Variables
VALUE | cPsychVisitorsYamlTree

## Function Documentation

void Init_psych_yaml_tree | ( | void | ) |  |

Definition at line 15 of file psych_yaml_tree.c.

References cPsychVisitorsYamlTree, private_iv_get(), rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_module_under(), and rb_define_private_method().

Referenced by Init_psych().

static VALUE private_iv_get | ( | VALUE | self,
|  | VALUE | target,
|  | VALUE | prop
| ) |  |
| static

Definition at line 10 of file psych_yaml_tree.c.

References rb_attr_get(), rb_intern, and StringValuePtr.

Referenced by Init_psych_yaml_tree().

## Variable Documentation

VALUE cPsychVisitorsYamlTree

Definition at line 3 of file psych_yaml_tree.c.

Referenced by Init_psych_yaml_tree().